Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global packname  geepack
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.2.1
Release:          alt1_7
Summary:          Generalized Estimating Equation Package

License:          GPLv3+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_1.2-1.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:
# Suggests:
# LinkingTo:
# Enhances:

BuildRequires:    R-devel tex(latex)
BuildRequires:    tex(boxedminipage.sty)
Source44: import.info

%description
Generalized estimating equations solver for parameters in mean, scale, and
correlation structures, through mean link, scale link, and correlation
link. Can also handle clustered categorical responses.

%package devel
Group: Other
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}
%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}

for file in %{packname}/inst/doc/geepack-manual.Rnw; do
    iconv --from=latin1 --to=UTF-8 ${file} > ${file}.new
    touch -r ${file} ${file}.new
    sed "s|\r||g" ${file}.new > ${file}
    touch -r ${file}.new ${file}
    rm ${file}.new
done

# Fix permissions.
pushd %{packname}
chmod -x ChangeLog DESCRIPTION NAMESPACE inst/CITATION
chmod -x inst/CITATION inst/doc/* inst/include/*.h inst/include/tnt/*.h
chmod -x data/* man/* R/* src/* vignettes/*
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so

%files devel
%{rlibdir}/%{packname}/include/


%changelog
* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_7
- new version

